/*HOJA DE ESTILOS SITIO WEB*/
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

@font-face {
    font-family: harlow;
    src: url(../fonts/harlowi.TTF);
}

/* GENERALES*/
html,
body {
    max-width: 100%;
    overflow-x: hidden;
}

h2 {
    font-family: harlow;
    color: #0099D4;
    text-align: center;
    font-size: 100px;
    padding-bottom: 50px;
}

/*NAVBAR*/

.navbar-1 {
    background: linear-gradient(to right, #ffffff, #70C6E7, #0099D4);
    text-align: left;

}


.nav-item a {
    color: #ffffff !important;
    font-size: 25px;
    font-family: "Montserrat", sans-serif;
    font-weight: bolder;
    margin: 0px !important;

}

.navbar-brand img {
    margin: 5px;
    height: 50px;
}


.active {
    border-bottom: solid #ffffff 3px;
    font-style: italic;
    font-weight: bolder;
    font-size: 30px;
}




.nav-link1 {
    text-decoration: none;
}

li.nav-item {
    margin-right: 40px;
}


/*PORTADA*/
.portada {
    background-image: linear-gradient(to left, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0) 60%), url(../img/nifa-gif.gif);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;


}

.texto-portada {
    padding-top: 250px;
    padding-bottom: 200px;
    padding-right: 7% !important;
    color: #ffffff;
}

.texto-portada h1 {
    font-family: harlow;
    font-size: 140px;
    margin-bottom: 10px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.texto-portada .descripcion {
    font-family: "Montserrat", sans-serif;
    font-size: 24px;
    line-height: 1.6;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
    padding-bottom: 20px;
}

.botones {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    margin-top: 20px;



}

.botonrosa {
    display: inline-block;
    width: 320px;
    text-align: center;
    text-align: center;
    font-size: 24px;
    text-decoration: none;
    padding: 10px 20px;
    background-color: #FF7BAC;
    font-weight: bold;
    border-radius: 50px;
    margin: 20px 0;
    color: #ffffff;

}

.botones a:hover {
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.3)
}

.botonrosa:hover {
    background: linear-gradient(to right, #fff, #e8539b);
    transform: scale(1.05);
}

.botonamarillo {

    display: inline-block;
    width: 320px;
    text-align: center;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    text-decoration: none;
    padding: 10px 20px;
    background-color: #FFBB00;
    border-radius: 50px;
    margin: 20px 0;
    color: #ffffff;


}

.botonamarillo:hover {
    background: linear-gradient(to right, #fff, #FFBB00);
    transform: scale(1.05);
}

/*SECCIÓN SOBRE MÍ*/
.info {
    padding-bottom: 70px;
    padding-top: 100px;

}

.descripcion p {
    padding-left: 80px;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    font-size: 24px;
    line-height: 1.6;
    text-align: left;
    padding-bottom: 20px;

}

.botonazul {
    display: inline-block;
    width: 320px;
    text-align: center;
    text-align: center;
    font-size: 24px;
    text-decoration: none;
    padding: 10px 30px;
    background-color: #0099D4;
    border-radius: 50px;
    margin: 20px 80px;
    color: #ffffff;
    font-weight: bold;


}

.botonazul:hover {
    background: linear-gradient(to right, #fff, #0099D4);
    transform: scale(1.05);
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.3)
}

.foto img {
    width: 70%;
    height: auto;
}

/*SECCIÓN FRASE*/
.tres {
    background-image: url(../img/bckgnd-2.jpg);
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;

}

.frase {
    padding-bottom: 100px;
    padding-top: 50px;

}

.frase p {
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    font-size: 32px;
    line-height: 1.6;
    text-align: center;
    padding: 0 100px;

}

.tazul {
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #0099D4;
    font-size: 40px;
    line-height: 1.6;
    text-align: center;


}

/*SECCIÓN QUEHACERES*/
.quehago {
    background-color: #0099D4;
    background-image: url(../img/ilust-1.jpg);
    background-size: cover;
    background-position: top center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    padding-top: 50px;


}

.quehago h2 {
    color: #ffffff;
    padding-bottom: 100px;
}


.accordion-item {
    display: block;
    text-align: left;
    text-align: center;
    font-size: 24px;
    margin-left: 0;
    margin-right: 20%;
    margin-bottom: 15px;
    color: #000000;
    border-radius: 50px !important;

}

.accordion-header {
    display: inline-block;
    width: 100%;
    text-align: center !important;
    font-size: 32px;
    border-radius: 50px !important;
}



.accordion-button {
    background-color: #ffffff !important;
    font-family: "Montserrat", sans-serif;
    font-weight: bolder;
    font-size: 30px;
    color: #0099D4;
    border-radius: 50px !important;
}

.accordion-button p {
    text-align: center !important;

}

.accordion-button:hover {
    background-color: #70C6E7 !important;
    color: #fff;


}

.accordion-body i {
    padding: 20px;
    font-size: 100px;
    color: #0099D4
}

.accordion-body p {
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.6;
    text-align: left;

}

.ilustracion img {

    width: 80%;
    height: auto;
}

/*FOOTER*/

.botones2 {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 20%;
    margin-left: 0;


}

.botones-3 {

    margin-bottom: 50px;
}

.footer1 {
    background: linear-gradient(to right, #ffffff, #70C6E7, #0099D4);
    padding-bottom: 10px;
    text-align: left;
}

.logo img {
    padding: 10px 10px;
    width: 100px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    ;
}

.iconos-contacto img {
    width: 50px;
    display: inline-flex;
    margin: 0 20px;
}

.leyenda p {
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    font-size: 20px;
    color: #ffffff
}




/*EMPIEZA PAGINA 2 PORTAFOLIO*/

/*NAVBAR ROSA*/

.navbar-2 {
    background: linear-gradient(to right, #ffffff, #70C6E7, #FF7BAC);
    text-align: left;

}


.nav-item-2 a {
    color: #ffffff !important;
    font-size: 25px;
    font-family: "Montserrat", sans-serif;
    font-weight: bolder;

}

.navbar-brand2 img {
    margin: 5px
}

li.nav-item-2 {
    margin-right: 40px;
}

/*ENCABEZADO*/

.encabezado1 {
    background-image: url(../img/bckgnd-p.jpg);
    background-size: 100%;
    background-position: top center;
    background-repeat: no-repeat;
}

.encabezado h1 {
    font-family: harlow;
    font-size: 140px;
    padding-top: 150px;
    margin-bottom: 400px;
    text-align: center;
    color: #FF7BAC;

}


/*DESCRIPCIÓN DE PROYECTOS*/
h4 {
    font-family: "Montserrat", sans-serif;
    font-size: 60px;
    font-weight: bolder;
    color: #FF7BAC;
    text-align: center;
    padding: 30px 0 20px 0;
    margin: 0 2%;


}

.descripcion p {
    font-family: "Montserrat", sans-serif;
    text-align: center;
    font-size: 20px;
    padding: 20px 0 50px 0;
    margin: 0 5%;


}


/*FOOTER ROSA*/

.footer2 {
    background: linear-gradient(to right, #ffffff, #70C6E7, #FF7BAC);
    padding-bottom: 10px;
    text-align: left;
}

/*EMPIEZA PAGINA 3 CONTACTO*/

/*NAVBAR AMARILLO*/

.navbar-3 {
    background: linear-gradient(to right, #ffffff, #70C6E7, #FFBB00);
    text-align: left;

}


.nav-item-3 a {
    color: #ffffff !important;
    font-size: 25px;
    font-family: "Montserrat", sans-serif;
    font-weight: bolder;

}

li.nav-item-3 {
    margin-right: 40px;
}


/*ENCABEZADO CONTACTO*/

.encabezado2 {
    background-image: url(../img/bckgnd-c.jpg);
    background-size: 100%;
    background-position: top center;
    background-repeat: no-repeat;
}

.encabezado2 h1 {
    font-family: harlow;
    font-size: 140px;
    padding-top: 70px;
    margin-bottom: 20px;
    text-align: center;
    color: #FFBB00;

}

.encabezado2 h4 {
    color: #000000;
}

.encabezado2 h5 {
    font-family: "Montserrat", sans-serif;
    font-size: 150px;
    font-weight: bolder;
    text-align: center;
    padding-bottom: 250px
}

h5 span {

    color: #FFBB00;
    font-style: italic;
}

.contacto-iconos {
    align-items: center;
    text-align: center;
    margin-bottom: 100px;
}

.contacto-iconos a {

    border-radius: 60px;
    background-color: #FFBB00;
    padding: 60px 120px;
    margin-bottom: 30px;
}

.icono-contacto img {
    width: 90px;

}


.ilustracionfinal {
    display: flex;
    justify-content: end;

    padding: 0 !important;
}


.ilustracionfinal img {

    height: 400px;
}

/*FOOTER AMARILLO*/

.footer3 {
    background: linear-gradient(to right, #ffffff, #70C6E7, #FFBB00);
    padding-bottom: 10px;
    text-align: left;
}

/*TABS*/
.tabs {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.tabsp {
    display: flex !important;
    width: 100%;
    justify-content: center !important;
    align-items: center !important;
    background-color: #FF7BAC;
    border-radius: 70px;
    padding: 15px 30px;
    margin-top: -300px;
}


.tabs .nav-link {
    color: #ffffff !important;
    font-family: "Montserrat", sans-serif;
    font-size: 24px !important;
    border-radius: 100px;
    padding: 10px 25px !important;
    margin: 0 10px !important;
    transition: all 0.3s ease;
}


.tabs .nav-link.active {
    background-color: #ffffff !important;
    border-radius: 100px;
    color: #FF7BAC !important;
    font-family: "Montserrat", sans-serif;
    font-size: 30px !important;
    font-weight: bolder;
}

.nav-pills .nav-link :hover {
    color: #FFC8EE;
}



/*CARRUSEL PORTAFOLIO*/

:root {
    --items: 5;
    --gap: 0.75rem;
    --border-xl: 20px;
    --border-m: 8px;
    --border-s: 6px;
    --accent-color: hsl(198, 86%, 53%);
    --fill-primary: hsl(204, 3%, 47%);
    --fill-active: hsl(204, 23%, 20%);
    --fill-disabled: hsl(204, 9%, 85%);
}

/* Ajuste de imágenes internas del carrusel */
.image-thumbnail-carousel img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    display: block;
}

.image-thumbnail-carousel {
    width: 100% !important;
    padding: 1rem;
    width: clamp(360px, 90vw, 1400px);
    display: flex;
    flex-flow: column;
    gap: 1.5rem;
    position: relative;
    margin: 0 auto;
    /* Centra el bloque dentro de tu columna de Bootstrap */
}

.carousel-trabajos {
    background-color: #FFC8EE;
    border-radius: 30px;
    background-size: 100%;
    background-repeat: no-repeat;
    padding: 80px;
    /* Separa la sección de lo que esté arriba y abajo */
    margin-bottom: 60px;
}

/* PANTALLA PRINCIPAL (¡Rescatado!) */
.image-display {
    border-radius: var(--border-xl);
    overflow: hidden;
    aspect-ratio: 16 / 9;
    box-shadow: 0 0.375em 0.67em #0003, 0 0.5em 1.3em #0002;
    cursor: pointer;
}

.screen {
    block-size: 100%;
    display: flex;
    background-image: linear-gradient(12deg, #aaa, #eee);
    position: relative;
    user-select: none;
}

/* CONTENEDOR DE MINIATURAS */
.thumbnail-carousel {
    display: flex;
    align-items: center;
    gap: var(--gap);
    width: 100%;
    background: #ffffff !important;
    /* Tu fondo limpio */
    border-radius: 24px;
    padding: 1rem;
}

.carousel__btn {
    flex: 1 0 max(2.75rem, 5.834%);
    background: #0000;
    border: 1px solid #0000;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.arrow-icon {
    margin-inline: auto;
    outline: none;
    border: 0;
    scale: 1;
    display: inline grid;
    width: max(80%, 1.5rem);
    height: max(80%, 1.5rem);
    fill: var(--fill-primary);
}

.carousel__btn:hover .arrow-icon {
    fill: var(--fill-active);
}

.carousel__btn:disabled {
    opacity: 0.1;
    pointer-events: none;
}

.carousel__slider {
    user-select: none;
    flex-grow: 999;
    list-style: none;
    display: flex;
    gap: var(--gap);
    padding: 0.5rem;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;
    margin-bottom: 0;
}

.carousel__slider::-webkit-scrollbar {
    display: none;
}

.carousel__slide {
    cursor: pointer;
    border-radius: var(--border-m);
    overflow: hidden;
    scroll-snap-align: center;
    flex: 1 0 calc((100% / var(--items)) - 10px);
}


.carousel__slide.active {
    outline: 0.125em solid var(--accent-color);
    outline-offset: -0.37em;
}



/*MEDIA QUERIES*/

@media (max-width: 1400px) {

    .encabezado h1 {
        padding-top: 60px;
        margin-bottom: 300px;
        text-align: center;
        color: #FF7BAC;

    }

    .encabezado2 {
        background-image: url(../img/bckgnd-c.jpg);
        background-size: 140%;
        background-position: top center;
        background-repeat: no-repeat;

    }

    .encabezado2 h1 {
        font-family: harlow;
        font-size: 140px;
        padding-top: 70px;
        margin-bottom: 50px;
        text-align: center;
        color: #FFBB00;

    }

    .encabezado2 h4 {
        color: #000000;
    }

    .encabezado2 h5 {
        font-family: "Montserrat", sans-serif;
        font-size: 150px;
        font-weight: bolder;
        text-align: center;
        padding-bottom: 200px
    }

    .tabsp {
        display: flex !important;
        margin-bottom: 100px;
        margin-top: -250px;
    }


}

@media (max-width: 1200px) {
    h2 {
        font-size: 120px;

    }

    .texto-portada h1 {
        font-size: 110px;

    }

    .texto-portada {
        padding-right: 1% !important;
    }


    .botonrosa {
        margin: 20px 20px;

    }

    .botonamarillo {
        margin: 20px 20px;

    }

    .frase {
        padding-top: 150px;

    }

    .quehago h2 {
        padding-bottom: 100px;
    }


    .ilustracion {
        display: flex;
        align-self: flex-end;

    }


    .encabezado h1 {
        padding-top: 150px;
        margin-bottom: 300px;
        text-align: center;
        color: #FF7BAC;

    }

    .encabezado2 h1 {
        padding-top: 10px;
        margin-bottom: 20px;
        text-align: center;
        color: #FFBB00;

    }

    .encabezado2 h4 {
        color: #000000;
    }

    .encabezado2 h5 {
        font-family: "Montserrat", sans-serif;
        font-size: 150px;
        font-weight: bolder;
        text-align: center;
        padding-bottom: 200px
    }

    .tabsp {
        display: flex !important;
        margin-bottom: 100px;
        margin-top: -150px;
    }


}

@media (max-width: 992px) {

    .texto {
        padding: 0 !important;
    }

    .descripcion p {
        padding-left: 0px;

    }

    .texto-portada {
        padding-top: 500px;
        padding-bottom: 200px;
        padding-right: 1% !important;
        color: #ffffff;

    }

    .botonrosa {
        margin: 20px 20px;

    }

    .botonamarillo {
        margin: 20px 20px;

    }

    .frase p {

        padding: 0 0px;
    }

    .accordion-item {
        margin-right: 0;
    }

    .botones2 {
        margin-right: 0;
    }

    /*Tabs*/


    .encabezado h1 {
        padding-top: 100px;
        margin-bottom: 300px;
        text-align: center;
        color: #FF7BAC;

    }

    .tabsp {

        margin-top: -100px;
        margin-bottom: 50px;



    }



    /*CONTACTO*/
    .encabezado2 {
        background-image: url(../img/bckgnd-c.jpg);
        background-size: 140%;
        background-position: top center;
        background-repeat: no-repeat;

    }

    .encabezado2 h1 {
        font-family: harlow;
        font-size: 140px;
        padding-top: 70px;
        margin-bottom: 50px;
        text-align: center;
        color: #FFBB00;

    }

    .encabezado2 h4 {
        color: #000000;
    }

    .encabezado2 h5 {
        font-family: "Montserrat", sans-serif;
        font-size: 150px;
        font-weight: bolder;
        text-align: center;
        padding-bottom: 100px
    }

    .contacto-iconos {

        text-align: center;
    }

    .contacto-iconos a {

        border-radius: 60px;
        background-color: #FFBB00;
        padding: 50px 90px;
        margin-bottom: 50px;
    }

    .icono-contacto img {
        width: 90px;

    }

    .icono-contacto {
        margin-bottom: 60px;
    }

}






@media (max-width: 768px) {

    h2 {
        font-size: 80px;

    }

    .texto-portada {
        padding-top: 600px;
        padding-bottom: 200px;
        padding-right: 0;
        color: #ffffff;
    }

    .botonrosa {
        margin: 20px 0px;

    }

    .botonamarillo {
        margin: 20px 0px;

    }

    .encabezado1 {
        background-image: url(../img/bckgnd-p.jpg);
        background-size: 130%;
        background-position: top center;
        background-repeat: no-repeat;
    }

    .encabezado h1 {
        font-family: harlow;
        font-size: 140px;
        padding-top: 120px;
        margin-bottom: 600px;
        text-align: center;
        color: #FF7BAC;

    }


    .carousel-trabajos {
        background-color: #FFC8EE;
        border-radius: 30px;
        background-size: 100%;
        background-repeat: no-repeat;
        padding: 20px;
        /* Separa la sección de lo que esté arriba y abajo */
        margin-bottom: 60px;
    }

    .icono-contacto {
        margin-bottom: 60px;
    }

    .encabezado2 h1 {
        margin-top: 50px;

        margin-bottom: 150px;
    }

    .encabezado h1 {
        padding-top: 100px;
        margin-bottom: 250px;


    }



    .tabsp {

        margin-top: -100px;
        margin-bottom: 50px;


    }

    .tabs .nav-link {

        font-size: 18px !important;

    }

    .tabs .nav-link {
        font-size: 18px !important;
        padding: 10px 20px !important;

    }

}



@media (max-width: 576px) {


    .encabezado1 {
        background-image: url(../img/bckgnd-p.jpg);
        background-size: 160%;
        background-position: top center;
        background-repeat: no-repeat;
    }



    .encabezado h1 {

        font-size: 100px;
        padding-top: 150px;
        margin-bottom: 210px;
        padding-top: 100px;
    }


    /* Primero aseguramos el contenedor general */

    .contacto-iconos a {

        border-radius: 60px;
        background-color: #FFBB00;
        padding: 50px 70px;
        margin-bottom: 50px;
    }

    .icono-contacto img {
        width: 90px;


    }

    .icono-contacto {
        margin-bottom: 60px;
    }

    .tabs .nav-link {

        font-size: 16px !important;
        padding: 7px 16px !important;
        margin: 0px !important;

    }


    .tabs .nav-link.active {

        font-family: "Montserrat", sans-serif;
        font-size: 16px !important;
        font-weight: bolder;
    }


    .tabsp {

        margin-top: -80px;
        margin-bottom: 50px;
    }

    .encabezado2 h1 {
        margin-top: 0;
    }

    .encabezado2 h4 {
        color: #000000;
    }

    .encabezado2 h5 {
        font-family: "Montserrat", sans-serif;
        font-size: 120px;
        font-weight: bolder;
        text-align: center;
        padding-bottom: 100px
    }

    .ilustracionfinal img {

        height: 300px;
    }

}










/* RESPONSIVO MÓVIL CARRUSEL*/
@media (max-width: 680px) {
    .image-thumbnail-carousel {
        width: 90vw;
    }


    .carousel__btn {
        flex-grow: 0;
    }

    .thumbnail-carousel {
        user-select: none;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .carousel__slider {
        max-width: fit-content;
        align-items: center;
        gap: 1em;
    }

    /* Transforma las miniaturas en puntitos */
    .carousel__slide {
        flex: none;
        aspect-ratio: 1;
        block-size: 0.625rem;
        border-radius: 50%;
        background-color: var(--fill-primary);
    }

    .thumbnail {
        opacity: 0;
        display: none;
        aspect-ratio: 16 / 9;
        block-size: 8vw;
        position: absolute;
        border-radius: var(--border-s);
        overflow: hidden;
        z-index: 99;
        will-change: transform, opacity;
        transition: opacity 150ms ease-out;
        transform-origin: bottom;
        translate: -50%;
        bottom: 20%;
    }

    .carousel__slide:not(.active):hover .thumbnail {
        opacity: 1;
        display: block;
        animation: show 250ms ease-out forwards;
        box-shadow: 0 0.375em 0.67em #0003, 0 0.5em 1.3em #0002;
    }

    @keyframes show {
        from {
            opacity: 0;
            transform: scale(0);
        }

        to {
            display: block;
            transform: scale(1);
            opacity: 1;
        }
    }
}